## XbBuilderSourceCtx

XbBuilderSourceCtx

## Functions

GInputStream * | xb_builder_source_ctx_get_stream ()
const gchar * | xb_builder_source_ctx_get_filename ()
GBytes * | xb_builder_source_ctx_get_bytes ()

## Types and Values

#define | XB_TYPE_BUILDER_SOURCE_CTX
struct | XbBuilderSourceCtxClass
| XbBuilderSourceCtx

## Description

## Functions

### xb_builder_source_ctx_get_stream ()

    GInputStream *
    xb_builder_source_ctx_get_stream (XbBuilderSourceCtx *self);

Returns the input stream currently being processed.

#### Parameters

self | a XbBuilderSourceCtx |

#### Returns

a GInputStream.

[transfer none]

Since: 0.1.7

### xb_builder_source_ctx_get_filename ()

    const gchar *
    xb_builder_source_ctx_get_filename (XbBuilderSourceCtx *self);

Returns the basename of the file currently being processed.

#### Parameters

self | a XbBuilderSourceCtx |

#### Returns

a basename, or `NULL` if unset.

[transfer none][nullable]

Since: 0.1.7

### xb_builder_source_ctx_get_bytes ()

    GBytes *
    xb_builder_source_ctx_get_bytes (XbBuilderSourceCtx *self,
                                     GCancellable *cancellable,
                                     GError **error);

Returns the data currently being processed.

If the XbBuilderSourceCtx is backed by a file, the returned GBytes may be memory-mapped, and the backing file must not be modified until the GBytes is destroyed.

#### Parameters

self | a XbBuilderSourceCtx |
cancellable | a GCancellable, or `NULL` |
error | the GError, or `NULL` |

#### Returns

a GBytes.

[transfer full]

Since: 0.1.7

## Types and Values

### XB_TYPE_BUILDER_SOURCE_CTX

    #define             XB_TYPE_BUILDER_SOURCE_CTX

### struct XbBuilderSourceCtxClass

    struct XbBuilderSourceCtxClass {
    	GObjectClass parent_class;
    };

### XbBuilderSourceCtx

    typedef struct _XbBuilderSourceCtx XbBuilderSourceCtx;